// ===========================================================================
//	VApplication.h
// ===========================================================================

#ifndef _H_VApplication
#define _H_VApplication
#pragma once

class VApplication{

public:
	VApplication(HINSTANCE hInstance, LPSTR lpCmdLine, int nCmdShow);
	~VApplication();
	HINSTANCE get_instance(){return hinstance;}
	const char *get_app_window_class_name(){return "vobject_mainwnd";}
	const char *get_app_window_name(){return "vobject_mainwnd";}
	DWORD get_main_threadid(){return main_threadid;}
	const char *get_command_line(){return command_line;}
	void	init();
	void	run();
	bool	quit();

	void _init_app_window();
	
private:
	char command_line[1024];
	int command_show;
	HINSTANCE hinstance;
	DWORD main_threadid;
	HWND hwndMain;
};

extern VApplication *theApp;

#endif

